NeatChain 1.0.6

You are provided with a neat opinionated pattern of input argument validation

You are provided with the capability to only execute classes when its their responsibility to do so

Requires NuGet 1.0.0 or higher.

Install-Package NeatChain -Version 1.0.6
dotnet add package NeatChain --version 1.0.6
<PackageReference Include="NeatChain" Version="1.0.6" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add NeatChain --version 1.0.6
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

Introducing the @where syntax to dependency injection

Lots of new goodies: strongly typed  conditional compilation, safe code interception, etc

fixed existing bugs,


Fixed client compilation issue

Now you can fake a line of code easily with an InjectExecute Line

This version has updated handler execution events

This has minimal features. More will be added in subsequent versions

Dependencies

This package has no dependencies.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.0.6 845 8/27/2014
1.0.5 382 8/26/2014
1.0.4.1 430 8/25/2014
1.0.4 400 8/25/2014
1.0.3 370 8/25/2014
1.0.2 392 8/24/2014
1.0.1 382 8/24/2014
1.0.0 403 8/24/2014